﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8A618A26-3B30-4329-BA01-4ADAFF025FAD}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>MyApp.Business</RootNamespace>
    <AssemblyName>MyApp.Business</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Aspose.Cells">
      <HintPath>..\External DLLs\Aspose.Cells.dll</HintPath>
    </Reference>
    <Reference Include="Aspose.Words">
      <HintPath>..\External DLLs\Aspose.Words.dll</HintPath>
    </Reference>
    <Reference Include="AutoMapper, Version=2.2.1.0, Culture=neutral, PublicKeyToken=be96cd2c38ef1005, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\packages\AutoMapper.2.2.1\lib\net40\AutoMapper.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework, Version=4.4.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\packages\EntityFramework.4.1.10715.0\lib\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="Gma.QrCodeNet.Encoding.Net35">
      <HintPath>..\External DLLs\Gma.QrCodeNet.Encoding.Net35.dll</HintPath>
    </Reference>
    <Reference Include="Ionic.Zip">
      <HintPath>..\External DLLs\Ionic.Zip.dll</HintPath>
    </Reference>
    <Reference Include="log4net">
      <HintPath>..\packages\log4net.2.0.0\lib\net40-full\log4net.dll</HintPath>
    </Reference>
    <Reference Include="MessagingToolkit.QRCode">
      <HintPath>..\External DLLs\MessagingToolkit.QRCode.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Practices.ServiceLocation">
      <HintPath>..\packages\CommonServiceLocator.1.0\lib\NET35\Microsoft.Practices.ServiceLocation.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Practices.Unity">
      <HintPath>..\packages\Unity.2.1.505.2\lib\NET35\Microsoft.Practices.Unity.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Practices.Unity.Configuration">
      <HintPath>..\packages\Unity.2.1.505.2\lib\NET35\Microsoft.Practices.Unity.Configuration.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.Entity" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Security" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.ApplicationServices" />
    <Reference Include="System.Web.Helpers, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
    <Reference Include="System.Web.Mvc, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="WebMatrix.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
    <Reference Include="WebMatrix.WebData, Version=2.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ApplicationRepository.cs" />
    <Compile Include="Exceptions\UserAlreadyExistsException.cs" />
    <Compile Include="Exceptions\UserDoesNotExistsException.cs" />
    <Compile Include="Interfaces\IUnregisteredService.cs" />
    <Compile Include="Interfaces\IZoneService.cs" />
    <Compile Include="Interfaces\IZoneEngagementService.cs" />
    <Compile Include="Interfaces\IQRCodeService.cs" />
    <Compile Include="Interfaces\IHttpContextFactory.cs" />
    <Compile Include="Interfaces\ISessionService.cs" />
    <Compile Include="Interfaces\ICaptchaService.cs" />
    <Compile Include="Interfaces\IAppConfigurationService.cs" />
    <Compile Include="Interfaces\IConfiguration.cs" />
    <Compile Include="Interfaces\IEmailService.cs" />
    <Compile Include="Interfaces\ILog.cs" />
    <Compile Include="Interfaces\ISmtpService.cs" />
    <Compile Include="Interfaces\IUserService.cs" />
    <Compile Include="Models\DomainMapping\KeyValueMap.cs" />
    <Compile Include="Models\DomainMapping\ZoneEngagementMap.cs" />
    <Compile Include="Models\DomainMapping\CompanyMap.cs" />
    <Compile Include="Models\DomainMapping\UnregisteredMap.cs" />
    <Compile Include="Models\DomainMapping\ZoneMap.cs" />
    <Compile Include="Models\DomainMapping\MembershipMap.cs" />
    <Compile Include="Models\DomainMapping\UserInRoleMap.cs" />
    <Compile Include="Models\DomainMapping\RoleMap.cs" />
    <Compile Include="Models\DomainMapping\PassphraseWordMap.cs" />
    <Compile Include="Models\DomainMapping\PassphraseHistoryMap.cs" />
    <Compile Include="Models\Domain\AppConfiguration.cs" />
    <Compile Include="Models\DBContext.cs" />
    <Compile Include="Models\Domain\Configuration.cs" />
    <Compile Include="Models\Domain\BusinessEnum.cs" />
    <Compile Include="Models\Domain\CBoxListInfo.cs" />
    <Compile Include="Models\Domain\Log.cs" />
    <Compile Include="Models\Domain\Company.cs" />
    <Compile Include="Models\Domain\Unregistered.cs" />
    <Compile Include="Models\Domain\KeyValue.cs" />
    <Compile Include="Models\Domain\ZoneEngagement.cs" />
    <Compile Include="Models\Domain\Zone.cs" />
    <Compile Include="Models\Domain\ResponsePacket.cs" />
    <Compile Include="Models\Domain\RegularExpression.cs" />
    <Compile Include="Models\Domain\SessionModel.cs" />
    <Compile Include="Models\Domain\UserInRole.cs" />
    <Compile Include="Models\Domain\Role.cs" />
    <Compile Include="Models\Domain\MembershipTable.cs" />
    <Compile Include="Models\Domain\PassphraseWord.cs" />
    <Compile Include="Models\Domain\PassphraseHistory.cs" />
    <Compile Include="Models\DomainMapping\AppConfigurationMap.cs" />
    <Compile Include="Models\DomainMapping\UserProfileMap.cs" />
    <Compile Include="Models\Domain\UserProfile.cs" />
    <Compile Include="Models\Services\AccountService.cs" />
    <Compile Include="Models\Services\AppConfigurationService.cs" />
    <Compile Include="Interfaces\IAccountService.cs" />
    <Compile Include="Models\Services\CaptchaService.cs" />
    <Compile Include="Models\Services\UnregisteredService.cs" />
    <Compile Include="Models\Services\ZoneService.cs" />
    <Compile Include="Models\Services\ZoneEngagementService.cs" />
    <Compile Include="Models\Services\QRCodeService.cs" />
    <Compile Include="Models\Services\SessionService.cs" />
    <Compile Include="Models\Services\EmailService.cs" />
    <Compile Include="Models\Services\SmtpService.cs" />
    <Compile Include="Models\Services\UserService.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Resource\EmailResource.Designer.cs">
      <DependentUpon>EmailResource.resx</DependentUpon>
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
    </Compile>
    <Compile Include="UnityBuilder.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Aspose.Cells.lic">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Aspose.Pdf.lic">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Aspose.Words.lic">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <None Include="ClassDiagram.cd" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\General\General.csproj">
      <Project>{1eff295f-5717-4cb3-8410-c4455d4b3c1d}</Project>
      <Name>General</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Resource\EmailResource.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>EmailResource.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>